View Issue Details

IDProjectCategoryView StatusLast Update
0024990LazarusIDEpublic2018-07-17 00:12
ReporterDmitryAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 64 bit kernel 3.10.10OSFedora 18 + MATE 1.6.1OS Version18
Product Version1.1 (SVN)Product Build42652M 
Target VersionFixed in Version1.1 (SVN) 
Summary0024990: [regression] Ctrl or Shift key repeats the last entered letter
DescriptionThe essence of the problem:
If you press the Ctrl or Shift key repeats the last printed letter.
For example writing the letter f and press Ctrl editor appends another f. It turns ff.
TagsNo tags attached.
Fixed in Revision42737
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0024750 feedbackZeljan Rikalo Accents in GTK2 
related to 0023140 resolvedZeljan Rikalo double charcter input in many text input components 

Activities

Bart Broersma

2013-09-10 12:00

developer   ~0069869

The M in your revision tells us that you have local changes made to your svn checkout.
To make sure these local changes are not to blame please first revert them.

cd /path/to/lazarussources
svn -R revert

Then do a clean build.

make distclean

Start Lazarus, and let Lazarus rebuild itself.
Now see if the problem has gone.

On the forum you indicated this happened after you updated Lazarus? (or did you mean after you updated your Linux?)
Can you tell us which was the last Lazarus revision that worked OK for you?

If we know that, then it is possible to disect the revisions between these two, and eventually find the revsion that caused this.

Also please tell u which fpc version you are using.

You indicated you have problems with the English language.
If so, feel free to add your notes in both English (as good as you can) and your native language (Russion?).

Dmitry

2013-09-11 00:55

reporter   ~0069902

for update i use command in terminal:
svn update
make clean
make
make useride
On Saturday (September 7), I was not able to get the latest updates as the assembly was getting an error file (synedit...).

Theme: http://forum.lazarus.freepascal.org/index.php/topic,21963.0.html



[dima@home-dima lazarus]$ svn -R revert
svn: E205001: Try 'svn help' for more info
svn: E205001: Not enough arguments provided
[dima@home-dima lazarus]$

if i update thes error:
[dima@home-dima lazarus]$ svn update
Updating '.':
Conflict discovered in '/usr/share/lazarus/debugger/callstackdlg.pp'.
Select: (p) postpone, (df) diff-full, (e) edit,
        (mc) mine-conflict, (tc) theirs-conflict,
        (s) show all options:

Dmitry

2013-09-11 01:08

reporter   ~0069903

Last edited: 2013-09-11 01:19

View 2 revisions

i create other folder qqq
cd qqq
[dima@home-dima qqq]$ svn co http://svn.freepascal.org/svn/lazarus/trunk
copy qqq* to lazarus*

my today version:
42652:42729M
FPC 2.7.1
look picture
error editor present.

Dmitry

2013-09-11 01:10

reporter  

01.jpg (58,239 bytes)
01.jpg (58,239 bytes)

Dmitry

2013-09-11 01:18

reporter   ~0069904

I can not say exactly which version after I have had this trouble.
I have several computers. Every day I put a lot of programs and delete.
Every day I check for updates on all Linux computers.
My head is spinning at the end of the day. All computers installed Linux 64 bit.

on all computers running one and the same system.
if you want, I can install Lazarus on another computer and test the editor on another computer.
I need your installation instructions (key points).

Dmitry

2013-09-11 01:28

reporter   ~0069906

Last edited: 2013-09-11 01:29

View 2 revisions

I can say when the editor worked well. I downloaded the latest version of the editor for Microsoft Windows, while the editor in Linux worked perfectly.
If you look when published version 42375 for Windows, you at this time of SVN version for Linux worked well.
42375 for Windows work fine.

Dmitry

2013-09-11 02:31

reporter   ~0069908

i install lazarus in other computer and error editor present.

I doubt that deleted then the system libraries on my computer. Now I am sure that the cause of the error is not in the system. The reason for the error in the updated version of Lazarus.

Paul Ishenin

2013-09-11 02:36

manager   ~0069909

Дмитрий, можно по русски сказать последний ваш комментарий. Ничего же не понятно что там написано.

Paul Ishenin

2013-09-11 02:39

manager   ~0069910

Можете ли вы попробовать следующие ревизии?
42580 (ревизия 42581 вызывает подозрение)
41673 (ревизии 41674 и 41675 вызывают подозрение). Если 41673 окажется рабочей для вас, то проверьте 41675.

Martin Friebe

2013-09-11 13:32

manager   ~0069917

Also (in addition to testing the above revisions), please tell us:

* What keymap to you use? Exact name. .g. ""Russian(Legacy)"

* Do you use any IM (input manager) (e.g. press more than one key, to get a char) ?

* Does it happen for all chars. e.g if you enter a latin "a", and then ctrl, does it happen?

* Please install a US keymap, and test this.

* DO you run your system in any Virtual machine? Or do you use any form of remote access?

Dmitry

2013-09-11 13:43

reporter   ~0069918

Уф устал я переводить тексты на английский. Гугл коверкает перевод, придумываю слова, чтобы перефразировать. По 30 минут пишу 5 строк текста.
Спасибо за то что говорите со мной на русском языке. Теперь по делу.

Я с утра поставил Лазарус на другой компьютер.
Сначала поставил 2.6.2 FCP Скачал архив (с офисциально сайта (как я понял), ссылку брал тоже на каком то официальном Wiki). Распаковал и запустил install.sh
Потом поставил 2.7.1 версию (встала в соседнюю папочку). 2.7.1 брал с SVN. FPC установилась в папку:
/usr/lib/fpc

На моей рабочей машине установлено ТРИ версии FPC.
2.6.2, 2.6.3, 2.7.1

Немного отвлекусь от темы. 2.7.1 это самая лучшая сборка. На своей машине использую эту версию т.к.:
- Запускамый файл стал на 30% меньше.
- программа стала быстрее запускаться. Это сразу видно визуально.
- программы работают процентов на 20 быстрее.
По этому я решил использовать 2.7.1, но если потребуется перейти 2.6.3 то перейду.

Но на вторую машину (утром) я ставил только 2.6.2, и 2.7.1.
Поигрался со ссылками:
ln -sf /usr/lib/fpc/2.7.1/ppcx64 /usr/bin/ppcx64
ln -sf /usr/lib/fpc/2.6.2/ppcx64 /usr/bin/ppcx64

2.7.1 (на другой машине, на которой ставил с утра) работать отказался. Отказался собирать лазарус. Я тогда поменял ссылку на 2.6.2 и корректно собрал лазарус.
Исходник Лазаруса я брал таким образом:
svn co http://svn.freepascal.org/svn/lazarus/trunk
Потом полученные файлы скопировал в папку:
/usr/share/lazarus/ здесь лежат все файлы лазаря.

Права на папку и вложения
/usr/lib/fpc/2.6.2/ppcx64
имеют статус root.

Ав этой папке права dima:
/usr/share/lazarus/
Зделал права dima для того чтобы было удобно писать нужные компоненты.

Ранее (когда я изучал первую неделю лазаря) у меня путь к папке Lazarus был в домашней директории, но Алексей сказал, что более правильно будет хранить лазаря в этой папке /usr/share/lazarus/. Я так и сделал.

Самого лазаря я собираю в папке /usr/share/lazarus/ с консоли (как меня научили, так и делаю).
svn update (это обновляю)
make clean (это очищаю предыдущую сборку)
make (и собираю проект)
make useride

После того как я поставил чистого (без лишних компонентов) лазаря на другой машине. Я запустил его. Собрал первый тестовый проект (компилятор 2.6.2) и попробовал работать в редакторе.
Как и на первоначальной машине при нажатии на клавишу Shift или Ctrl дописывается последний введенный символ.
Обратите внимание. Речь идет только о буквах. Если использовать Backspace то конечно это не повторяется.

Вы пишете:
Можете ли вы попробовать следующие ревизии?
42580 (ревизия 42581 вызывает подозрение)
41673 (ревизии 41674 и 41675 вызывают подозрение). Если 41673 окажется рабочей для вас, то проверьте 41675.

Конечно я могу ставить любые версии. У меня много рабочих машин и я смогу экспериментировать, но мне нужны четкие инструкции как это делать.
Прошу меня простить. С FPC знаком всего пару месяцев, многие вопросы которые меня интересуют вяло освещены в сети.
По этому собираю информацию по крупицам.

Я должен давать эту команду для установки определенной версии?
svn up -r42580
где 42580 это номер версии?

Dmitry

2013-09-11 14:07

reporter   ~0069919

Прошу Вас переведите мне этот текст:
Also (in addition to testing the above revisions), please tell us:
* What keymap to you use? Exact name. .g. ""Russian(Legacy)"
* Do you use any IM (input manager) (e.g. press more than one key, to get a char) ?
* Does it happen for all chars. e.g if you enter a latin "a", and then ctrl, does it happen?
* Please install a US keymap, and test this.
* DO you run your system in any Virtual machine? Or do you use any form of remote access?

мне не понятно что человек спрашивает.
Постараюсь ответить пунктам (в силу моего понимания).
1. что такое keymap? о чем идет речь?
2. я не использую каких либо менеджеров клавиатуры. Поставил федору 18 (ставлю всегда только английскую версию). После обновления говорю, что интерфейс системы русский. Ставлю MATE (из репозитория), так же ставлю Emerald и Compiz. Ну еще ставлю офис и другие графические программы для работы (кнопки наричовать, скриншотик сделать и т.д.). А чуть не забыл. После того как поставил MATE добавляю русскую раскладку клавиатуры. Ничего лишнего не ставлю.
3. Проблема с второй буквой происходит как с русскими буквами так и с латинскими. Например пишу (синтаксис как в сях) s_text (Ctrl+S сохраняю), а вижу ss_textt. Приходится возвращаться и удалять лишние буквы.
4. install a US keymap, and test this. Не могу сообразить. Если мы говорим о раскладке клавиатуры, то у меня по умолчанию английская установлена. По русски пишу редко (только комментарии, в основном программный код).
5. Не могу понять о какой виртуальной машине идет речь? Я использую виртуальную машину только для работы в Windows. Мне необходимо поддерживать старые проекты (Visual Studio 6.0 MFC, Win API) и я их редактирую в Windows 2000, который установлен в VirtualBox.
Про удаленный доступ я тоже смутно понял ... если нужен удлаленный доступ к одной из моих машин, то я организую. Есть программы удаленного доступа. Входите смотрите сами, но думаю, что до этого не дойдет.

Дополнительная информация. Может это Вам как то поможет.
Когда я редактировал шаблоны кода, то наблюдал ту же картину (с двойными буквами). В обычных EditBox'ах такого нет, а вот где пишу текст (в нижней части окна), то вижу тот же эффект.

Dmitry

2013-09-11 16:13

reporter   ~0069930

Да ошибка найдена. в версии 42580 работает хорошо.
После обновления до версии 42581 есть ошибка.

Обновляется всего один файл.
 lcl/interfaces/gtk2/gtk2proc.inc

Paul Ishenin

2013-09-11 16:42

manager   ~0069931

Дмитрий,
Я так понимаю, Мартин спрашивал про раскладку клавиатуры. И еще Мартин спрашивал про как вы используете линукс: напрямую работаете, либо через виртуальную машину, либо удаленно. Вполне логичные вопросы при поиске проблемы.

Но, тем не менее, вы нашли ревизию в которой обнаружена ошибка. Спасибо.

Martin,
Dmitry has found the faulty revision - 42581. Revision 42580 works good for him.

Paul Ishenin

2013-09-11 16:43

manager   ~0069932

Juha, I assigned to you since that was your commit.

Maxim Ganetsky

2013-09-11 23:00

developer   ~0069941

r42581 was reverted by Martin in r42737. Please test and close if OK.

Issue History

Date Modified Username Field Change
2013-09-10 09:32 Dmitry New Issue
2013-09-10 12:00 Bart Broersma LazTarget => -
2013-09-10 12:00 Bart Broersma Note Added: 0069869
2013-09-10 12:00 Bart Broersma Status new => feedback
2013-09-11 00:55 Dmitry Note Added: 0069902
2013-09-11 00:55 Dmitry Status feedback => new
2013-09-11 01:08 Dmitry Note Added: 0069903
2013-09-11 01:10 Dmitry File Added: 01.jpg
2013-09-11 01:18 Dmitry Note Added: 0069904
2013-09-11 01:19 Dmitry Note Edited: 0069903 View Revisions
2013-09-11 01:28 Dmitry Note Added: 0069906
2013-09-11 01:29 Dmitry Note Edited: 0069906 View Revisions
2013-09-11 02:31 Dmitry Note Added: 0069908
2013-09-11 02:36 Paul Ishenin Note Added: 0069909
2013-09-11 02:39 Paul Ishenin Note Added: 0069910
2013-09-11 13:32 Martin Friebe Note Added: 0069917
2013-09-11 13:43 Dmitry Note Added: 0069918
2013-09-11 14:07 Dmitry Note Added: 0069919
2013-09-11 16:13 Dmitry Note Added: 0069930
2013-09-11 16:42 Paul Ishenin Note Added: 0069931
2013-09-11 16:43 Paul Ishenin Assigned To => Juha Manninen
2013-09-11 16:43 Paul Ishenin Status new => assigned
2013-09-11 16:43 Paul Ishenin Note Added: 0069932
2013-09-11 21:34 Maxim Ganetsky Summary If you press the Ctrl or Shift key repeats the last printed letter. => [regression] Ctrl or Shift key repeats the last entered letter
2013-09-11 21:34 Maxim Ganetsky Steps to Reproduce Updated View Revisions
2013-09-11 21:34 Maxim Ganetsky Additional Information Updated View Revisions
2013-09-11 22:33 Martin Friebe Relationship added related to 0024750
2013-09-11 23:00 Maxim Ganetsky Note Added: 0069941
2013-09-11 23:00 Maxim Ganetsky Status assigned => resolved
2013-09-11 23:00 Maxim Ganetsky Fixed in Version => 1.1 (SVN)
2013-09-11 23:00 Maxim Ganetsky Resolution open => fixed
2013-09-11 23:02 Maxim Ganetsky Fixed in Revision => 42737
2013-09-13 21:18 Martin Friebe Relationship added related to 0023140